OpenZWave Library: OpenZWave::ProductDescriptor Class Reference

| OpenZWave Library 1.6.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
OpenZWave::ProductDescriptor Class Reference

`#include <ManufacturerSpecificDB.h>`

Inheritance diagram for OpenZWave::ProductDescriptor:

## Public Member Functions
| ProductDescriptor (uint16 _manufacturerId, uint16 _productType, uint16 _productId, string const &_productName, string const &_manufacturerName, string const &_configPath)
| ~ProductDescriptor ()
int64 | GetKey () const
uint16 | GetManufacturerId () const
string | GetManufacturerName () const
uint16 | GetProductType () const
uint16 | GetProductId () const
string | GetProductName () const
string | GetConfigPath () const
void | SetConfigRevision (uint32 revision)
uint32 | GetConfigRevision () const
Public Member Functions inherited from OpenZWave::Ref
| Ref ()
void | AddRef ()
int32 | Release ()

## Static Public Member Functions
static int64 | GetKey (uint16 _manufacturerId, uint16 _productType, uint16 _productId)

## Additional Inherited Members
Protected Member Functions inherited from OpenZWave::Ref
virtual | ~Ref ()

## Constructor & Destructor Documentation

## ◆ ProductDescriptor()

OpenZWave::ProductDescriptor::ProductDescriptor | ( | uint16 | _manufacturerId,
|  | uint16 | _productType,
|  | uint16 | _productId,
|  | string const & | _productName,
|  | string const & | _manufacturerName,
|  | string const & | _configPath
| ) |  |
| inline

## ◆ ~ProductDescriptor()

OpenZWave::ProductDescriptor::~ProductDescriptor | ( |  | ) |
| inline

## Member Function Documentation

## ◆ GetConfigPath()

string OpenZWave::ProductDescriptor::GetConfigPath | ( |  | ) | const
| inline

## ◆ GetConfigRevision()

uint32 OpenZWave::ProductDescriptor::GetConfigRevision | ( |  | ) | const
| inline

## ◆ GetKey() [1/2]

int64 OpenZWave::ProductDescriptor::GetKey | ( |  | ) | const
| inline

## ◆ GetKey() [2/2]

static int64 OpenZWave::ProductDescriptor::GetKey | ( | uint16 | _manufacturerId,
|  | uint16 | _productType,
|  | uint16 | _productId
| ) |  |
| inlinestatic

## ◆ GetManufacturerId()

uint16 OpenZWave::ProductDescriptor::GetManufacturerId | ( |  | ) | const
| inline

## ◆ GetManufacturerName()

string OpenZWave::ProductDescriptor::GetManufacturerName | ( |  | ) | const
| inline

## ◆ GetProductId()

uint16 OpenZWave::ProductDescriptor::GetProductId | ( |  | ) | const
| inline

## ◆ GetProductName()

string OpenZWave::ProductDescriptor::GetProductName | ( |  | ) | const
| inline

## ◆ GetProductType()

uint16 OpenZWave::ProductDescriptor::GetProductType | ( |  | ) | const
| inline

## ◆ SetConfigRevision()

void OpenZWave::ProductDescriptor::SetConfigRevision | ( | uint32 | revision | ) |
| inline

The documentation for this class was generated from the following file:

- ManufacturerSpecificDB.h